IPC Server Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
IPC Server Functions
Ecore » Ecore_IPC - Inter Process Communication Library Functions

Functions the deal with IPC server objects. More...

## Functions
EAPI Ecore_Ipc_Server * | ecore_ipc_server_add (Ecore_Ipc_Type compl_type, const char *name, int port, const void *data)
| Creates an IPC server that listens for connections. More...
EAPI Ecore_Ipc_Server * | ecore_ipc_server_connect (Ecore_Ipc_Type compl_type, char *name, int port, const void *data)
| Creates an IPC server object to represent the IPC server listening on the given port. More...
EAPI void * | ecore_ipc_server_del (Ecore_Ipc_Server *svr)
| Closes the connection and frees the given IPC server. More...
EAPI void * | ecore_ipc_server_data_get (Ecore_Ipc_Server *svr)
| Retrieves the data associated with the given IPC server. More...
EAPI Eina_Bool | ecore_ipc_server_connected_get (Ecore_Ipc_Server *svr)
| Retrieves whether the given IPC server is currently connected. More...
EAPI Eina_List * | ecore_ipc_server_clients_get (Ecore_Ipc_Server *svr)
| Retrieves the list of clients for this server. More...
EAPI int | ecore_ipc_server_send (Ecore_Ipc_Server *svr, int major, int minor, int ref, int ref_to, int response, const void *data, int size)
| Sends a message to the given IPC server. More...

## Detailed Description

Functions the deal with IPC server objects.

## Function Documentation

EAPI Ecore_Ipc_Server* ecore_ipc_server_add | ( | Ecore_Ipc_Type | compl_type,
|  | const char * | name,
|  | int | port,
|  | const void * | data
| ) |  |

Creates an IPC server that listens for connections.

For more details about the `compl_type`, `name` and `port` parameters, see the ecore_con_server_add documentation.

Parameters

  compl_type | The connection type.
  name | Name to associate with the socket used for connection.
  port | Number to identify with socket used for connection.
  data | Data to associate with the IPC server.

Returns
  New IPC server. If there is an error, `NULL` is returned.

References ECORE_CON_LOCAL_SYSTEM, ECORE_CON_LOCAL_USER, ecore_con_server_add(), and eina_list_append().

EAPI Ecore_Ipc_Server* ecore_ipc_server_connect | ( | Ecore_Ipc_Type | compl_type,
|  | char * | name,
|  | int | port,
|  | const void * | data
| ) |  |

Creates an IPC server object to represent the IPC server listening on the given port.

For more details about the `compl_type`, `name` and `port` parameters, see the ecore_con_server_connect documentation.

Parameters

  compl_type | The IPC connection type.
  name | Name used to determine which socket to use for the IPC connection.
  port | Number used to identify the socket to use for the IPC connection.
  data | Data to associate with the server.

Returns
  A new IPC server. `NULL` is returned on error.

References ECORE_CON_LOCAL_SYSTEM, ECORE_CON_LOCAL_USER, ECORE_CON_NO_PROXY, ecore_con_server_connect(), and eina_list_append().

EAPI void* ecore_ipc_server_del | ( | Ecore_Ipc_Server * | svr | ) |

Closes the connection and frees the given IPC server.

Parameters

  svr | The given IPC server.

Returns
  The data associated with the server when it was created.

References ecore_con_server_del(), ecore_ipc_client_del(), EINA_LIST_FREE, and eina_list_remove().

Referenced by ecore_ipc_shutdown().

EAPI void* ecore_ipc_server_data_get | ( | Ecore_Ipc_Server * | svr | ) |

Retrieves the data associated with the given IPC server.

Parameters

  svr | The given IPC server.

Returns
  The associated data.

EAPI Eina_Bool ecore_ipc_server_connected_get | ( | Ecore_Ipc_Server * | svr | ) |

Retrieves whether the given IPC server is currently connected.

Parameters

  svr | The given IPC server.

Returns
  `EINA_TRUE` if the server is connected, `EINA_FALSE` otherwise.

References ecore_con_server_connected_get(), and EINA_FALSE.

EAPI Eina_List* ecore_ipc_server_clients_get | ( | Ecore_Ipc_Server * | svr | ) |

Retrieves the list of clients for this server.

Parameters

  svr | The given IPC server.

Returns
  An Eina_List with the clients.

EAPI int ecore_ipc_server_send | ( | Ecore_Ipc_Server * | svr,
|  | int | major,
|  | int | minor,
|  | int | ref,
|  | int | ref_to,
|  | int | response,
|  | const void * | data,
|  | int | size
| ) |  |

Sends a message to the given IPC server.

The content of the parameters, excluding the `svr` paramter, is up to the client.

Parameters

  svr | The given IPC server.
  major | Major opcode of the message.
  minor | Minor opcode of the message.
  ref | Message reference number.
  ref_to | Reference number of the message this message refers to.
  response | Requires response.
  data | The data to send as part of the message.
  size | Length of the data, in bytes, to send.

Returns
  Number of bytes sent. `0` is returned if there is an error.

References ecore_con_server_send().